| Home | Libraries | People | FAQ | More

## Struct is_not_igreater

boost::algorithm::is_not_igreater — case insensitive version of is_not_greater

## Synopsis

    struct is_not_igreater {
      // construct/copy/destruct
      is_not_igreater(const std::locale & = std::locale());

      // public member functions
      template<typename T1, typename T2>
        bool operator()(const T1 &, const T2 &) const;
    };

## Description

Case insensitive comparison predicate. Comparison is done using specified locales.

### `is_not_igreater` public construct/copy/destruct

1.     is_not_igreater(const std::locale & Loc = std::locale());

   Parameters: |
   `Loc` | locales used for comparison

### `is_not_igreater` public member functions

1.     template<typename T1, typename T2>
         bool operator()(const T1 & Arg1, const T2 & Arg2) const;

   Compare two operands. Case is ignored.